## org.freedesktop.NetworkManager.IP6Config

org.freedesktop.NetworkManager.IP6Config

## Signals

    PropertiesChanged (a{sv} properties);

## Properties

    Addresses    readable   a(ayuay)
    AddressData  readable   aa{sv}
    Gateway      readable   s
    Routes       readable   a(ayuayu)
    RouteData    readable   aa{sv}
    Nameservers  readable   aay
    Domains      readable   as
    Searches     readable   as
    DnsOptions   readable   as
    DnsPriority  readable   i

## Description

## Signal Details

### The "PropertiesChanged" signal

    PropertiesChanged (a{sv} properties);

DEPRECATED. Use the standard "PropertiesChanged" signal from "org.freedesktop.DBus.Properties" instead which exists since version NetworkManager 1.2.0.

`a{sv} `properties``: | A dictionary mapping property names to variant boxed values

## Property Details

### The "Addresses" property

    Addresses  readable   a(ayuay)

Array of tuples of IPv6 address/prefix/gateway. Deprecated: use AddressData and Gateway.

### The "AddressData" property

    AddressData  readable   aa{sv}

Array of IP address data objects. All addresses will include "address" (an IP address string), and "prefix" (a uint). Some addresses may include additional attributes.

### The "Gateway" property

    Gateway  readable   s

The gateway in use.

### The "Routes" property

    Routes  readable   a(ayuayu)

Tuples of IPv6 route/prefix/next-hop/metric. Deprecated: use RouteData

### The "RouteData" property

    RouteData  readable   aa{sv}

Array of IP route data objects. All routes will include "dest" (an IP address string) and "prefix" (a uint). Some routes may include "next-hop" (an IP address string), "metric" (a uint), and additional attributes.

### The "Nameservers" property

    Nameservers  readable   aay

The nameservers in use.

### The "Domains" property

    Domains  readable   as

A list of domains this address belongs to.

### The "Searches" property

    Searches  readable   as

A list of dns searches.

### The "DnsOptions" property

    DnsOptions  readable   as

A list of DNS options that modify the behavior of the DNS resolver. See resolv.conf(5) manual page for the list of supported options.

### The "DnsPriority" property

    DnsPriority  readable   i

The relative priority of DNS servers.